CADDIT CAD CAM CNC Software - download AutoCAD compatible design software progeCAD Alibre T-FLEX and more
CADDIT Website Knowledge Base Search:
CL

progeCAD Help

CR
Welcome to progeCAD
Working with progeCAD
Command Reference
CAD System Variables
Programming progeCAD
Full Index (caution - 400kb)

Further Links:

Download progeCAD
Register progeCAD

Learning

T-FLEX PLM tutorial (PDF)
progeCAD IntelliCAD and AutoCAD training 
CATIA 2D 3D design tutorial
Alibre CAD/CAM basic tutorial

Resources

Educational CAD Software Solutions
Python scripting for DOS and Windows
Other free software downloads
CADDIT CAD CAM Forum Australia
__

Copy method example

Private Sub Copy_and_Rotate_Example()

     ' This example creates a line and then copies it.

     ' The new line is then rotated 10 radians.

          

     ' Create the line

     Dim myDoc As progeCAD.Document

     Dim myLine As progeCAD.Line

     Dim myStartPt As progeCAD.Point

     Dim myEndPt As progeCAD.Point

     Set myDoc = Application.ActiveDocument

     Set myStartPt = Library.CreatePoint(4, 4)

     Set myEndPt = Library.CreatePoint(7, 3)

     Set myLine = myDoc.ModelSpace.AddLine(myStartPt, myEndPt)

     myLine.Update

 

     ' Copy and rotate the line

     Dim copymyLine As progeCAD.Line

     Set copymyLine = myLine.Copy()

     copymyLine.Rotate myStartPt, 10

     MsgBox "Rotated the copied line 10 radians."

     ThisDocument.ActiveViewport.ZoomExtents

End Sub

CADDIT® is a registered trademark in Australia. All Rights Reserved. Comments concerning the content of this site should be addressed to our webmaster. progeCAD is a trademark of ProgeCAD srl. Autodesk® and AutoCAD® are both registered trademarks or trademarks of a third party, and used only for comparison purposes. All other trademarks, trade names or company names referenced herein are used for identification only and are the property of their respective owners. Legal and Terms of Use. Google. Find us on Google+.